package hu.se.app06;

/**
 * Class under test.
 */
public class CurrencyApp {

	private ExchangeRates rates;

	public CurrencyApp(ExchangeRates rates) {
		this.rates = rates;
	}

	/**
	 * Converts the given amount in Euro to US Dollar.
	 * 
	 * @param amountInEuro
	 *            the amount in Euro
	 * @return the given amount in US Dollar.
	 */
	public double toUSD(double amountInEuro) {
		double result = amountInEuro * this.rates.getEuroToUSD();
		// Rounded to two decimal places (Nachkommastellen)
		return Math.round(result * 100.0) / 100.0;
	}

	/**
	 * Converts the given amount in Euro to Japanese Yen.
	 * 
	 * @param amountInEuro
	 *            the amount in Euro
	 * @return the given amount in Japanese Yen.
	 */
	public double toJPY(double amountInEuro) {
		double result = amountInEuro * this.rates.getEuroToJPY();
		// Rounded to two decimal places (Nachkommastellen)
		return Math.round(result * 100.0) / 100.0;
	}

}
