package hu.se.app07;

/**
 * Class under test.
 */
public class BerlinDistanceApp {

	private BerlinMap map;

	public BerlinDistanceApp(BerlinMap map) {
		this.map = map;
	}

	/**
	 * Returns the distance between Berlin and the given city.
	 * 
	 * @param city
	 *            the given city
	 * @return distance in km between Berlin and the given city if the city is
	 *         known, otherwise <code>-1</code>.
	 */
	public int distanceTo(String city) {
		int distance;
		if (city == null) {
			distance = 0;
		} else {
			switch (city) {
			case "Munich":
				distance = this.map.getDistToMunich();
				break;
			case "Hamburg":
				distance = this.map.getDistToHamburg();
				break;
			case "Copenhagen":
				distance = this.map.getDistToCopenhagen();
				break;
			default:
				distance = -1;
				break;
			}
		}
		return distance;
	}

}
